Robot Simulator of the Robotics Group for Self-Organization of Control: VierBeinerConf Struct Reference

# VierBeinerConf Struct Reference

`#include <vierbeiner.h>`

List of all members.

## Public Attributes
double | size
| scaling factor for robot (diameter of body)
double | legLength
| length of the legs in units of size
int | legNumber
| number of snake elements
double | mass
| chassis mass
double | relLegmass
| relative overall leg mass
double | powerFactor
| global factor for power parameters
double | dampingFactor
| global factor for damping parameters
double | hipPower
| maximal force for at hip joint motors
double | hipDamping
| damping of hio joint servos
double | hipJointLimit
| angle range for legs
double | kneePower
| spring strength in the knees
double | kneeJointLimit
| angle range for knees
double | kneeDamping
| damping in the knees
double | anklePower
| spring strength in the ankles
double | ankleDamping
| damping in the ankles
bool | hippo
| "dog" looks like a hippopotamus
bool | drawstupidface
bool | useBigBox
| use big box on back or not
bool | legBodyCollisions
| legs and body collide

## Member Data Documentation

double ankleDamping

damping in the ankles

double anklePower

spring strength in the ankles

double dampingFactor

global factor for damping parameters

bool drawstupidface

double hipDamping

damping of hio joint servos

double hipJointLimit

angle range for legs

bool hippo

"dog" looks like a hippopotamus

double hipPower

maximal force for at hip joint motors

double kneeDamping

damping in the knees

double kneeJointLimit

angle range for knees

double kneePower

spring strength in the knees

bool legBodyCollisions

legs and body collide

double legLength

length of the legs in units of size

int legNumber

number of snake elements

double mass

chassis mass

double powerFactor

global factor for power parameters

double relLegmass

relative overall leg mass

double size

scaling factor for robot (diameter of body)

bool useBigBox

use big box on back or not

The documentation for this struct was generated from the following file:

- vierbeiner.h